Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class MockBytesAttributeFactory

    java.lang.Object
      org.apache.lucene.util.AttributeSource.AttributeFactory
          org.apache.lucene.analysis.MockBytesAttributeFactory

    public class MockBytesAttributeFactory

extends AttributeSource.AttributeFactory

Attribute factory that implements CharTermAttribute with `MockUTF16TermAttributeImpl`

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeSource.AttributeFactory
`DEFAULT_ATTRIBUTE_FACTORY`

Constructor Summary
`MockBytesAttributeFactory()`

Method Summary
`AttributeImpl` | `createAttributeInstance(Class<? extends Attribute> attClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockBytesAttributeFactory

    public MockBytesAttributeFactory()

Method Detail

### createAttributeInstance

    public AttributeImpl createAttributeInstance(Class<? extends Attribute> attClass)

  Specified by:
    `createAttributeInstance` in class `AttributeSource.AttributeFactory`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.